Package org.codehaus.janino

# Interface Java.LambdaParameters

All Known Implementing Classes:
  `Java.FormalLambdaParameters`, `Java.IdentifierLambdaParameters`, `Java.InferredLambdaParameters`

Enclosing class:
  `Java`

public static interface Java.LambdaParameters
Base for the various "lambda parameters" styles, see JLS9 15.27.1.

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.LambdaParametersVisitor<R,EX> lpv)`
Invokes the "`visit...()`" method of `Visitor.LambdaParametersVisitor` for the concrete `Java.LambdaParameters`.

## Method Details

### accept

@Nullable <R, EX extends Throwable> R accept(Visitor.LambdaParametersVisitor<R,EX> lpv) throws EX
Invokes the "`visit...()`" method of `Visitor.LambdaParametersVisitor` for the concrete `Java.LambdaParameters`.

Throws:
  `EX`